Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Class PassageListType

    java.lang.Object
      org.crosswire.jsword.passage.PassageListType

All Implemented Interfaces:
  Serializable

    public abstract class PassageListType

extends Object
implements Serializable

Types of Passage Lists.

Author:
  Joe Walker [joe at eireneh dot com], DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`private String` | `name` The name of the PassageListType
`private static int` | `nextObj`
`private int` | `obj`
`static PassageListType` | `RANGES` Passage to be interpreted as a list of ranges.
`private static PassageListType[]` | `VALUES`
`static PassageListType` | `VERSES` Passage to be interpreted as a list of verses.

Constructor Summary
`PassageListType(String name)` Simple ctor

Method Summary
`abstract int` | `count(Passage ref, RestrictionType restrict)`
`boolean` | `equals(Object o)` Prevent subclasses from overriding canonical identity based Object methods
`static PassageListType` | `fromInteger(int i)` Lookup method to convert from an integer
`static PassageListType` | `fromString(String name)` Lookup method to convert from a String
`abstract Object` | `getElementAt(Passage ref, int index, RestrictionType restrict)`
`int` | `hashCode()` Prevent subclasses from overriding canonical identity based Object methods
`(package private) Object` | `readResolve()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSES

    public static final PassageListType VERSES

  Passage to be interpreted as a list of verses.

### RANGES

    public static final PassageListType RANGES

  Passage to be interpreted as a list of ranges.

### name

    private String name

  The name of the PassageListType

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final PassageListType[] VALUES

Constructor Detail

### PassageListType

    public PassageListType(String name)

  Simple ctor

Method Detail

### getElementAt

    public abstract Object getElementAt(Passage ref,
                                        int index,
                                        RestrictionType restrict)

### count

    public abstract int count(Passage ref,
                              RestrictionType restrict)

### fromString

    public static PassageListType fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static PassageListType fromInteger(int i)

  Lookup method to convert from an integer

### equals

    public final boolean equals(Object o)

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public final int hashCode()

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD